﻿@using Jumbula.Common.Helper
@model Jumbula.Core.Model.ClubSetting.DelinquentPolicySettingViewModel
@{
    Layout = null;
}

<style>
    .jb-tooltip .tooltip-content {
        background-color: transparent !important;
    }
</style>

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref="PolicySetting">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Delinquent accounts
            </h1>

        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate>
        <fieldset>

            <div>
                <label>
                    <input type="checkbox" ng-model="@Html.Ang(model => model.AutoChargeFailAttempted)">
                    Autocharged installment payment fails after the following number of attempts
                    (@DelinquentPolicies.AutoChargeFailAttemptNumber.ToDescription())
                </label>

                <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.AutoChargeFailAttemptNumber) style="max-width: 350px;">
                    <select ng-show="@Html.Ang(model => model.AutoChargeFailAttempted)" ng-options="obj.Value as obj.Text for obj in @Html.Ang(model => model.AutoChargeOptions)" ng-model="@Html.Ang(model => model.AutoChargeFailAttemptNumber)" @Html.AngTooltipValidationFor(model => model.AutoChargeFailAttemptNumber)><option value="" ng-if="false"></option></select>
                </div><br />
            </div>

            <legend style="font-weight: bold;">A family becomes delinquent when</legend>
            <section>

                <div>
                    <label>
                        <input type="checkbox" ng-model="@Html.Ang(model => model.CalculateFamilyBalance)">
                        The family has an unpaid balance for a fully-paid (no payment plans) enrollment as of the following cut-off date (@DelinquentPolicies.FamilyBalanceNoLimitDate.ToDescription())
                    </label>
                    <div ng-show="@Html.Ang(model => model.CalculateFamilyBalance)">
                        <div class="date-time" style="max-width: 370px;">
                            <label class="req-star" for="@Html.Ang(model => model.FamilyBalanceNoLimitDate)">
                                Cut-off date
                            </label>
                            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.FamilyBalanceNoLimitDate)>
                                <input kendo-date-picker k-options="MC.datePickerOptions" id="@Html.Ang(m => m.FamilyBalanceNoLimitDate)" ng-model="@Html.Ang(model => model.FamilyBalanceNoLimitDate)" @Html.AngTooltipValidationFor(model => model.FamilyBalanceNoLimitDate) ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" style="max-width: 350px;" readonly />
                            </div>
                        </div>

                        <div style="max-width: 350px;">
                            <label class="req-star" for="@Html.Ang(model => model.FamilyBalanceMinPrice)">
                                Minimum unpaid balance
                            </label>
                            <div class="input-control text price" data-role="input-control" data-sign="$" @Html.AngValidationClassFor(model => model.FamilyBalanceMinPrice)>
                                <input type="text" id="@Html.Ang(m => m.FamilyBalanceMinPrice)" ng-model="@Html.Ang(model => model.FamilyBalanceMinPrice)" @Html.AngTooltipValidationFor(m => m.FamilyBalanceMinPrice) />
                            </div>
                        </div>
                    </div>
                </div><br />
            </section>

            <legend>When a family becomes delinquent take the following actions</legend>
            <section>
                <div>
                    <label>
                        <input type="checkbox" ng-model="@Html.Ang(model => model.AllowEnrollOnDelinquent)" ng-true-value="false" ng-false-value="true">
                        Do not allow the family to enroll in any new programs
                    </label><br />

                    <div ng-show="@Html.Ang(model => model.AllowEnrollOnDelinquent)===false">
                        <span class="message">We show the following message to the delinquent users when they try to register for a program. You can customize the text to fit to your needs.</span>
                        <div class="editor-body" @Html.AngValidationClassFor(model => model.NotAllowEnrollTemplate)>

                            <div class="input-control textarea" data-role="input-control">
                                <div @Html.AngTooltipValidationFor(model => model.NotAllowEnrollTemplate)>
                                    <textarea id="@Html.Ang(m=>m.NotAllowEnrollTemplate)" k-ng-model="@Html.Ang(model => model.NotAllowEnrollTemplate)" kendo-editor k-tools="['fontName','bold','italic','underline','strikethrough','fontSize','justifyLeft','justifyCenter','justifyRight','justifyFull','foreColor','insertUnorderedList','insertOrderedList','indent','outdent','createLink','unlink','insertImage','cleanFormatting','backColor','viewHtml']"></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </section>
        </fieldset>

        <button ngaction="SchoolSetting_DelinquentPolicy_Save" ng-click="save()" class="success large place-right">Save</button>

    </form>

    <div class="clearfix"></div>
</div>